<?php

App::uses('CakeEventListener', 'Event');
App::uses('CakeLog', 'Log');

class BulkDiscountCurrencyChangeListener implements CakeEventListener {

	public function implementedEvents() {
		return array(
			'EvCurrency.Component.Currencies.setCurrency' => 'currencyChange'
		);
	}

	/**
	 * handle currency switching
	 *
	 * @param 	CakeEvent
	 */
	public function currencyChange(CakeEvent $Event) {
		Cakelog::write('debug', "bulk discount currency change event");
		$Event->subject()->_controller->BasketCookie->write('originalUnitPrices', null);

		return true;
	}
}
